// -----------------------------------------------------------------------------
// This file contains very basic styles.
// -----------------------------------------------------------------------------

/**
 * Set up a decent box model on the root element
 */
html {
	box-sizing: border-box;
}

body {
	position: relative !important;
	top: 0 !important;
}

/**
 * Make all elements from the DOM inherit from the parent box-sizing
 * Since `*` has a specificity of 0, it does not override the `html` value
 * making all elements inheriting from the root box-sizing value
 * See: https://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/
 */
*,
*::before,
*::after {
	box-sizing: inherit;
	padding: 0px;
	margin: 0px;
	position: relative;
	outline: none;
}

[v-cloak] {
	display: none;
}

/**
 * Basic styles for links
 */
a {
	color: $text-color;
	text-decoration: none;

	@include on-event {
		color: $text-color;
		text-decoration: underline;
	}
}


.section {
	padding: 100px 0px;
	overflow: hidden;

	@include lg {
		padding: 90px 0;
	}

	@include md {
		padding: 80px 0;
	}

	@include sm {
		padding: 70px 0;
	}

	@include xs {
		padding: 60px 0;
	}

	&--white {
		background-color: white;
		&:not(.section-intro):not(.section-banner--white) + .section--white:not(.banner--small) {
			padding-top: 0px;
		}

		.banner--small + & {
			padding-top: 0px;
		}

		& + .banner--small {
			padding-top: 0px;
		}
	}

	&--light {
		background-color: $bg-light;
		&:not(.section-intro):not(.banner--small):not(.section-banner--light) + .section--light:not(.banner--small) {
			padding-top: 0px;
		}
	}

	&--dark {
		background-color: $bg-dark;
		color: white;
		&:not(.section-intro):not(.banner--small):not(.section-banner--dark) + .section--dark:not(.banner--small) {
			padding-top: 0px;
		}
	}

	&__scheme-switcher {
		font-size: 0px;
		position: absolute;
		bottom: 30px;
		left: 30px;
		z-index: 30;

		@include md {
			left: 20px;
			bottom: 20px;
		}

		@include sm {
			left: 10px;
			bottom: 10px;
		}

		button {
			display: inline-block;
			appearance: none;
			font-size: 14px;
			border-radius: 0px;
			border: 1px solid #ddd;
			padding: 8px 16px;
			border-right: 0px;
			outline: none;
			cursor: pointer;

			&:first-child {
				border-radius: 4px 0px 0px 4px;
			}

			&:last-child {
				border-radius: 0px 4px 4px 0px;
				border-right: 1px solid #ddd;
			}

			&.active {
				background-color: #000;
				color: white;
				border-color: #000;
			}
		}
	}

	&__buttons {
		display: flex;
		justify-content: space-between;
		margin-top: 40px;
		@include sm {
			flex-wrap: wrap;
		}

		p {
			font-family: $font-root;
			font-size: 15px;
			line-height: 1.5;
			max-width: 600px;
			@include sm {
				padding-right: 0;
			}
		}
		&.section__buttons-mode-text {
			a {
			    align-self: flex-start;
				margin-left: auto;
				@include sm {
					margin-top: 25px;
				}
			}
		}
	}
}

html,
body,
#app {
	height: 100%;
}

.wrapper {
	display: flex;
	flex-direction: column;
	height: 100%;
}

.page-content {
	flex: 1 0 auto;
}

.footer {
	flex: 0 0 auto;
}

/**
 * Hide text while making it readable for screen readers
 * 1. Needed in WebKit-based browsers because of an implementation bug;
 *    See: https://code.google.com/p/chromium/issues/detail?id=457146
 */
.hide-text {
	overflow: hidden;
	padding: 0;
	/* 1 */
	text-indent: 101%;
	white-space: nowrap;
}

/**
   * Hide element while making it readable for screen readers
   * Shamelessly borrowed from HTML5Boilerplate:
   * https://github.com/h5bp/html5-boilerplate/blob/master/src/css/main.css#L119-L133
   */
.visually-hidden {
	border: 0;
	clip: rect(0 0 0 0);
	height: 1px;
	margin: -1px;
	overflow: hidden;
	padding: 0;
	position: absolute;
	width: 1px;
}

.hide {
	&-xs {
		@include xs {
			display: none;
		}
	}

	&-sm {
		@include sm {
			display: none;
		}
	}

	&-md {
		@include md {
			display: none;
		}
	}
}

.wrapper {
	width: 100%;
}

a.full {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

.loader {
	min-height: 70vh;
	svg {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		width: 40px;
		height: 40px;
	}
	&:before {
		content: " ";
		width: 100px;
		height: 100px;
		top: 50%;
		left: 50%;
		margin: -50px 0px 0px -50px;
		border-radius: 50%;
		border: 2px solid rgba($dark-purple, .2);
		border-bottom-color: $dark-purple;
		position: absolute;
		animation: spin 1s linear infinite;
	}

	.loaded & {
		display: none;
	}
}